=== debian/changelog ===
xdaliclock (2.35+debian-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    + Updated to Standards-Version 3.9.2
  * debian/copyright:
    + Updated for latest DEP-5 format

 -- Kartik Mistry <kartik@debian.org>  Wed, 11 May 2011 21:49:03 +0530
