## xdaliclock 2.36%2Bdebian

=== debian/changelog ===
xdaliclock (2.36+debian-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright:
    + Typo fix. Applied wrap-and-sort.

 -- Kartik Mistry <kartik@debian.org>  Sun, 06 May 2012 14:11:22 +0530

xdaliclock (2.35+debian-2) unstable; urgency=low

  * debian/rules:
    + Added missing recommended targets.
  * debian/control:
    + Updated to Standards-Version 3.9.3
  * debian/copyright:
    + Updated to copyright-format 1.0
    + Fixed License section for some paragraphs.

 -- Kartik Mistry <kartik@debian.org>  Thu, 15 Mar 2012 09:30:37 +0530
