=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: xdaliclock
 Section: x11
 Priority: optional
-Build-Depends: debhelper (>= 7),
-               autotools-dev,
+Build-Depends: autotools-dev,
+               debhelper (>= 7),
                libx11-dev,
                libxext-dev,
                libxt-dev,
                x11proto-core-dev
 Maintainer: Kartik Mistry <kartik@debian.org>
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.jwz.org/xdaliclock/
 
 Package: xdaliclock
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Melting digital clock
  The xdaliclock program displays a digital clock; when a digit changes, it
  "melts" into its new shape.
