## xdaliclock 2.37

=== OSX/Makefile ===
--- 
+++ 
@@ -1,8 +1,10 @@
 # Dali Clock for MacOS X, Copyright (c) 2005-2011 by Jamie Zawinski.
 
-XCODEBUILD=/Developer/usr/bin/xcodebuild
-#TARGETS = -target "All Targets"
-TARGETS  = -target DaliClock -target DaliClockSaver -target DaliClockWidget
+XCODEBUILD = /Developer/usr/bin/xcodebuild
+TARGETS    = -target DaliClock -target DaliClockSaver -target DaliClockWidget
+ARCH       = -arch i386 -arch x86_64
+CERT       = 'Jamie Zawinski'
+#CERT       = 'iPhone Developer: Jamie Zawinski (Y5M82TL69N)'
 
 default: release
 all: debug release
@@ -21,10 +23,10 @@
 distdepend:: update_bindist_version
 
 debug: distdepend
-	$(XCODEBUILD) $(TARGETS) -configuration Debug   build
+	$(XCODEBUILD) $(ARCH) $(TARGETS) -configuration Debug   build
 
 release:: distdepend
-	$(XCODEBUILD) $(TARGETS) -configuration Release build
+	$(XCODEBUILD) $(ARCH) $(TARGETS) -configuration Release build
 
 release:: check_versions
 
@@ -43,13 +45,11 @@
 	convert -resize '29x29!' $< $@
 
 
-#CERT='iPhone Developer: Jamie Zawinski (Y5M82TL69N)'  # expired...
-CERT='Jamie Zawinski'
 sign:
 	codesign -vfs $(CERT) build/Release/*.app
 	codesign -vfs $(CERT) build/Release/*.saver
 	codesign -vfs $(CERT) build/Release/*.wdgt/*.widgetplugin
-#	codesign -vfs $(CERT) build/Release/*.wdgt
+	codesign -vfs $(CERT) build/Release/*.wdgt
 #	codesign -vfs $(CERT) build/Release-iphoneos/*.app
 
 check_versions:
