=== debian/changelog ===
xdaliclock (2.37-1) unstable; urgency=low

  * New upstream release
  * We don't repack upstream source now, hence back to normal version scheme.
  * debian/copyright:
    + Updated copyright.
    + Removed duplicate copyright field.
  * debian/control, debian/rules,
    + Added hardening support.

 -- Kartik Mistry <kartik@debian.org>  Fri, 19 Oct 2012 14:12:34 +0530
