=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Build-Depends: autotools-dev,
                debhelper (>= 7),
+               hardening-wrapper,
                libx11-dev,
                libxext-dev,
                libxt-dev,
