=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 # Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
 
 #export DH_VERBOSE=1
+
+export DEB_BUILD_HARDENING=1
 
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
