## xdaliclock 2.38

=== Makefile ===
--- 
+++ 
@@ -187,7 +187,7 @@
   echo '' ;								    \
 									    \
   for EXT in tar.gz dmg ; do						    \
-    OLDEST=`ls xdaliclock*.$$EXT | fgrep -v 235.dmg | head -n 1` ;	    \
+    OLDEST=`ls *.$$EXT | fgrep -v 235.dmg | head -n 1` ;		    \
     /bin/echo -n "Delete $$DEST/$$OLDEST? ";				    \
     read line;								    \
     if [ "x$$line" = "xyes" -o "x$$line" = "xy" ]; then			    \
