=== debian/changelog ===
xdaliclock (2.38-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Added VCS-* fields.
    + Updated to Standards-Version 3.9.4
  * debian/rules:
    + Rewrote to use dh.
  * Added debian/docs file.

 -- Kartik Mistry <kartik@debian.org>  Tue, 16 Jul 2013 10:01:14 +0530
