## xdaliclock 2.39

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 TARFILES	= README Makefile version.h \
 		  config.guess config.sub install-sh \
 		  mac128/README mac128/*.*
-NUMBERS		= font/dalifont*.{gif,gz} font/*.xbm
+NUMBERS		= font/dalifont*.{gif,png,ai,psd,gz} font/*.xbm
 TAR		= tar
