=== OSX/Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # Dali Clock for MacOS X, Copyright (c) 2005-2011 by Jamie Zawinski.
 
-XCODEBUILD = /Developer/usr/bin/xcodebuild
+XCODEBUILD = /usr/bin/xcodebuild
 TARGETS    = -target DaliClock -target DaliClockSaver -target DaliClockWidget
 ARCH       = -arch i386 -arch x86_64
 CERT       = 'Jamie Zawinski'
-#CERT       = 'iPhone Developer: Jamie Zawinski (Y5M82TL69N)'
+CERT       = 'iPhone Developer: Jamie Zawinski (Y5M82TL69N)'
 
 default: release
 all: debug release
@@ -29,7 +29,6 @@
 	$(XCODEBUILD) $(ARCH) $(TARGETS) -configuration Release build
 
 release:: check_versions
-
 release:: sign
 
 
@@ -109,13 +108,15 @@
 
 update_bindist_version:
 	@								    \
-  SS="bindist.rtf" ;							    \
+  SS="bindist.rtf Credits.html" ;					    \
   U=../version.h ;							    \
   V=`sed -n 's/[^0-9]*\([0-9]\.[0-9][^. ;]*\).*/\1/p' < $$U` ;		    \
   D=`date '+%d-%b-%Y'` ;						    \
+  Y=`date '+%Y'` ;							    \
   for S in $$SS ; do							    \
    T=/tmp/xs.$$$$ ;							    \
    sed -e "s/\(.*version \)[0-9][0-9]*\.[0-9]*[ab]*[0-9]*\(.*\)/\1$$V\2/"   \
+       -e "s/\(1991-\)[0-9][0-9][0-9][0-9]/\1$$Y/"			    \
        -e "s/\([0-9][0-9]-[A-Z][a-z][a-z]-[0-9][0-9][0-9]*\)/$$D/"	    \
       < $$S > $$T ;							    \
    if cmp -s $$S $$T ; then						    \
