=== debian/changelog ===
xdaliclock (2.39-2) unstable; urgency=low

  * debian/rules:
    + Use dh --with autotools_dev so that it will update config.* files.
      (Closes: #727520)

 -- Kartik Mistry <kartik@debian.org>  Thu, 31 Oct 2013 20:09:19 +0530

xdaliclock (2.39-1) unstable; urgency=low

  * New upstream release.

 -- Kartik Mistry <kartik@debian.org>  Mon, 23 Sep 2013 08:46:01 +0530
