=== debian/control ===
--- 
+++ 
@@ -9,8 +9,10 @@
                libxt-dev,
                x11proto-core-dev
 Maintainer: Kartik Mistry <kartik@debian.org>
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://www.jwz.org/xdaliclock/
+Vcs-Git: git://anonscm.debian.org/collab-maint/xdaliclock.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/xdaliclock.git;a=summary
 
 Package: xdaliclock
 Architecture: any
