=== debian/rules ===
--- 
+++ 
@@ -28,4 +28,4 @@
 	cd X11 && $(MAKE) install_prefix=$(CURDIR)/debian/xdaliclock install
 
 %:
-	dh $@
+	dh --with autotools_dev $@
