## xdaliclock 2.41

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 TARFILES	= README Makefile version.h \
 		  config.guess config.sub install-sh \
 		  mac128/README mac128/*.*
-NUMBERS		= font/dalifont*.{gif,png,ai,psd,gz} font/*.xbm
+NUMBERS		= font/dalifont*.{gif,png,ai,psd.gz} font/*.xbm
 TAR		= tar
 
 
@@ -124,7 +124,7 @@
       ` ";								    \
     cd $$d ; done ;							    \
   echo creating tar file archive/$${NAME}.tar.gz... ;			    \
-  GZIP="-9v" $(TAR) -vchzf archive/$${NAME}.tar.gz			    \
+  GZIP="-9v" $(TAR) -vczf archive/$${NAME}.tar.gz			    \
     `echo $(TARFILES) $$FILES $(NUMBERS)				    \
    | sed "s|^|$$NAME/|g; s| | $$NAME/|g" ` ;				    \
   rm $$NAME ;								    \
@@ -174,6 +174,8 @@
 									    \
   cp -p archive/$$DMG $$DEST/$$DMG ;					    \
   chmod u+w $$DEST/$$DMG ;						    \
+									    \
+  cp -p OSX/updates.xml $$DEST/ ;					    \
 									    \
   cd $$DEST ;								    \
 									    \
