=== OSX/Makefile ===
--- 
+++ 
@@ -5,6 +5,8 @@
 ARCH       = -arch i386 -arch x86_64
 CERT       = 'Jamie Zawinski'
 CERT       = 'iPhone Developer: Jamie Zawinski (Y5M82TL69N)'
+SETFILE    = /Applications/Xcode.app/Contents/Developer/Tools/SetFile
+SETICON    = /usr/local/bin/seticon
 
 default: release
 all: debug release
@@ -17,8 +19,9 @@
 	-rm -f config.status config.cache config.log \
 	  *.bak *.rej TAGS *~ "#"*
 	-rm -rf autom4te*.cache
-	-rm -rf build
-
+	-rm -rf build Sparkle.framework
+
+distdepend:: Sparkle.framework
 distdepend:: update_plist_version
 distdepend:: update_bindist_version
 
@@ -30,6 +33,13 @@
 
 release:: check_versions
 release:: sign
+
+Sparkle.framework:
+	unzip "../archive/Sparkle 1.5b6.zip" \
+	  "With Garbage Collection/Sparkle.framework/*"
+	mv "With Garbage Collection/Sparkle.framework" .
+	rmdir "With Garbage Collection"
+	cd Sparkle.framework/Resources/ && ln -sf fr.lproj fr_CA.lproj
 
 
 distdepend:: DaliClockPhone72.png DaliClockPhone57.png
@@ -45,11 +55,11 @@
 
 
 sign:
-	codesign -vfs $(CERT) build/Release/*.app
-	codesign -vfs $(CERT) build/Release/*.saver
-	codesign -vfs $(CERT) build/Release/*.wdgt/*.widgetplugin
-	codesign -vfs $(CERT) build/Release/*.wdgt
-#	codesign -vfs $(CERT) build/Release-iphoneos/*.app
+	codesign --deep -vfs $(CERT) build/Release/*.app
+	codesign --deep -vfs $(CERT) build/Release/*.saver
+	codesign --deep -vfs $(CERT) build/Release/*.wdgt/*.widgetplugin
+	codesign --deep -vfs $(CERT) build/Release/*.wdgt
+#	codesign --deep -vfs $(CERT) build/Release-iphoneos/*.app
 
 check_versions:
 	@\
@@ -57,7 +67,8 @@
   V=`sed -n 's/[^0-9]*\([0-9]\.[0-9][^. ;]*\).*/\1/p' < $$U` ;		\
   DIR=build/Release ;							\
   RESULT=0 ;								\
-  for P in `find $$DIR -name Info.plist` ; do				\
+  for P in `find $$DIR -name Info.plist |				\
+	    grep -v Sparkle.framework` ; do				\
      V2=`perl -0000 -n -e						\
 	'm@<key>CFBundleVersion</key>\s*<string>(.*?)</string>@si 	\
 	 && print $$1' < $$P` ;						\
@@ -76,7 +87,7 @@
 	     -o -name 'jwz.*' -o -name '*.widgetplugin' \
 	     -o -name '*.psd' -o -name '*.ai' \) \
 	     -prune \) \
-	  -o -type f -print \
+	  -o \( -type f -o -type l \) -print \
 	| sed 's@^\./@@' \
 	| sort`
 
@@ -128,6 +139,34 @@
   done ;								    \
   rm $$T
 
+
+updates.xml::
+	./updates.pl DaliClock ../README ../archive ~/www/xdaliclock
+	@$(MAKE) test_sig
+
+test_sig::
+	@								    \
+  U=../version.h ;							    \
+  V=`sed -n 's/[^0-9]*\([0-9]\.[0-9][^. ;]*\).*/\1/p' < $$U` ;		    \
+  V=`echo $$V | sed 's/\.//g'` ;					    \
+  ZIP="../archive/DaliClock-$$V.dmg" ;					    \
+  SIG=`sed -n 's/^.*dsaSignature="\(.*\)".*/\1/p' updates.xml` ;	    \
+  PUB="sparkle_dsa_pub.pem" ;						    \
+  NN="t.$$$$" ;								    \
+  SIGB=/tmp/$$NN.sig ;							    \
+  HASH=/tmp/$$NN.hash ;							    \
+  rm -f "$$SIGB" "$$HASH" ;						    \
+  echo "$$SIG " | base64 -D  > "$$SIGB" ;				    \
+  set -e ;								    \
+  for OPENSSL in /usr/bin/openssl /opt/local/bin/openssl ; do		    \
+    $$OPENSSL dgst -sha1 -binary  < "$$ZIP"  > "$$HASH" ;		    \
+    /bin/echo -n "$$OPENSSL	`$$OPENSSL version`:	" ;		    \
+    $$OPENSSL dgst -dss1 -verify "$$PUB" -signature "$$SIGB" "$$HASH" ;	    \
+  done ;								    \
+  rm -f "$$SIGB" "$$HASH" ;						    \
+
+
+
 # -format UDBZ saves 4% over UDZO, but that's only 8KB.
 dmg:: distdepend check_versions
 	@								      \
@@ -149,26 +188,27 @@
   echo + mkdir "$$STAGE" ;						      \
          mkdir "$$STAGE" ;						      \
   FILES="$$SRC/*.app $$SRC/*.saver $$SRC/*.wdgt" ;			      \
-  echo + cp -pr $$FILES "$$STAGE" ;					      \
-         cp -pr $$FILES "$$STAGE" ;					      \
+  echo + cp -pR $$FILES "$$STAGE" ;					      \
+         cp -pR $$FILES "$$STAGE" ;					      \
   set -x ;								      \
   cp -p bindist.rtf "$$STAGE/ READ ME.rtf" ;				      \
   cp -p bindist-DS_Store "$$STAGE/.DS_Store" ;				      \
   cp -p bindist.webloc "$$STAGE/DaliClock for iPhone:iPad.webloc" ;	      \
-  /Developer/Tools/SetFile -a E "$$STAGE/ READ ME.rtf" ;		      \
-  /Developer/Tools/SetFile -a e $$STAGE/*.saver ;			      \
-  /Developer/Tools/SetFile -a e $$STAGE/*.wdgt ;			      \
-  /Developer/Tools/SetFile -a E $$STAGE/*.webloc ;			      \
-  seticon -d daliclockSaver.icns $$STAGE/*.saver ;			      \
-  seticon -d daliclockWidget.icns $$STAGE/*.wdgt ;			      \
-  seticon -d daliclock.icns $$STAGE/*.webloc ;				      \
+  ${SETFILE} -a E "$$STAGE/ READ ME.rtf" ;				      \
+  ${SETFILE} -a e $$STAGE/*.saver ;					      \
+  ${SETFILE} -a e $$STAGE/*.wdgt ;					      \
+  ${SETFILE} -a E $$STAGE/*.webloc ;					      \
+  $(SETICON) -d daliclockSaver.icns $$STAGE/*.saver ;			      \
+  $(SETICON) -d daliclockWidget.icns $$STAGE/*.wdgt ;			      \
+  $(SETICON) -d daliclock.icns $$STAGE/*.webloc ;			      \
   hdiutil makehybrid -quiet -ov -hfs -hfs-volume-name "$$VOLNAME"	      \
     -hfs-openfolder "$$STAGE" "$$STAGE" -o "$$TMPDMG" ;			      \
   rm -rf "$$STAGE" ;							      \
   hdiutil convert -quiet -ov -format UDZO -imagekey zlib-level=9	      \
     "$$TMPDMG" -o "$$DMG" ;						      \
   rm -f "$$TMPDMG" ;							      \
-  ls -ldhgF "$$DMG"
+  ls -ldhgF "$$DMG" ;							      \
+  $(MAKE) updates.xml ;							      \
 
 # Adding this is cute:
 #    hdiutil internet-enable -yes -quiet "$$DMG"
