=== debian/changelog ===
xdaliclock (2.41-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Updated to Standards-Version 3.9.5

 -- Kartik Mistry <kartik@debian.org>  Fri, 25 Apr 2014 12:53:58 +0530
