=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                libxt-dev,
                x11proto-core-dev
 Maintainer: Kartik Mistry <kartik@debian.org>
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.jwz.org/xdaliclock/
 Vcs-Git: git://anonscm.debian.org/collab-maint/xdaliclock.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/xdaliclock.git;a=summary
