=== debian/watch ===
version=3
opts=dversionmangle=s/\+debian// \
http://www.jwz.org/xdaliclock/xdaliclock-([\d\.]+)\.tar\.gz
