## xdaliclock 2.43+debian

=== Makefile ===
--- 
+++ 
@@ -4,17 +4,17 @@
 TARFILES	= README Makefile version.h \
 		  config.guess config.sub install-sh \
 		  mac128/README mac128/*.*
-NUMBERS		= font/dalifont*.{gif,png,ai,psd.gz} font/*.xbm
+NUMBERS		= font/dalifont*.{gif,png,ai,psd.gz} font/*.{c,xbm}
 TAR		= tar
 
 
 default:
 	@echo ''; \
-	 echo '        please make one of: "x", "palm", "webos", "all", or "clean"'; \
+	 echo '        please make one of: "x", "palm", "webos", "android", "all", or "clean"'; \
 	 echo ''; \
 	 exit 5
 
-all:: OSX webos palm X11
+all:: OSX webos palm X11 android
 
 X11::   x11
 X::     X11
@@ -23,6 +23,7 @@
 OSX::   osx
 palm::  Palm
 webos:: WebOS
+android:: Android
 
 x11:: X11/Makefile
 	@echo '==============================================================='
@@ -48,6 +49,16 @@
 	@echo '==============================================================='
 	@echo ''
 	cd webos ; make
+
+pebble::
+	@echo '==============================================================='
+	@echo ''
+	cd pebble ; pebble build
+
+Android:: android/Makefile
+	@echo '==============================================================='
+	@echo ''
+	cd android ; make
 
 X11/Makefile:
 	@echo '==============================================================='
@@ -70,6 +81,8 @@
 	cd OSX ; make $@
 	cd palm ; make $@
 	cd webos ; make $@
+	cd pebble ; make $@
+	cd android ; make $@
 
 distclean: X11/Makefile gtk/Makefile palm/Makefile
 	cd X11 ; make $@
@@ -77,6 +90,8 @@
 	cd OSX ; make $@
 	cd palm ; make $@
 	cd webos ; make $@
+	cd pebble ; make $@
+	cd android ; make $@
 
 install:
 	@echo ''; \
@@ -92,12 +107,19 @@
 	 echo '      - to install the WebOS version: "cd webos; make", and'; \
 	 echo '        then send the .ipk to your Palm WebOS device.';\
 	 echo ''; \
+	 echo '      - to install the android version: "cd android; make", and'; \
+	 echo '        then send the .apk to your android device.';\
+	 echo ''; \
 	 exit 5
 
 dmg::
 	cd OSX ; $(MAKE) dmg
 
-tar: X11/Makefile gtk/Makefile palm/Makefile dmg
+apk::
+	cd android ; $(MAKE) apk
+
+tar: X11/Makefile gtk/Makefile palm/Makefile dmg apk _tar
+_tar:
 	@								    \
   for dir in X11 gtk palm ; do						    \
    ( cd $$dir ;								    \
@@ -106,16 +128,17 @@
      ./config.status ;							    \
      $(MAKE) distdepend );						    \
   done ;								    \
-  (cd X11; make update_spec_version) ;					    \
-  (cd gtk; make update_spec_version) ;					    \
-  (cd palm; make update_rsc_version) ;					    \
-  (cd webos; make update_release_date) ;				    \
-  (cd OSX; make update_plist_version) ;					    \
+  (cd X11; $(MAKE) update_spec_version) ;				    \
+  (cd gtk; $(MAKE) update_spec_version) ;				    \
+  (cd palm; $(MAKE) update_rsc_version) ;				    \
+  (cd webos; $(MAKE) update_release_date) ;				    \
+  (cd OSX; $(MAKE) update_plist_version) ;				    \
+  (cd android; $(MAKE) update_gradle_version update_gradle_app_id) ;	    \
   NAME=`sed -n								    \
   's/[^0-9]*\([0-9]\.[0-9][0-9]*\).*/xdaliclock-\1/p' version.h` ;	    \
   rm -rf $$NAME ; ln -s . $$NAME ;					    \
   FILES= ;								    \
-  for subdir in X11 gtk palm OSX webos ; do				    \
+  for subdir in X11 gtk palm OSX webos pebble android ; do		    \
     d=`pwd` ;								    \
     cd $$subdir ;							    \
     FILES="$$FILES `$(MAKE) echo_tarfiles				    \
@@ -124,7 +147,8 @@
       ` ";								    \
     cd $$d ; done ;							    \
   echo creating tar file archive/$${NAME}.tar.gz... ;			    \
-  GZIP="-9v" $(TAR) -vczf archive/$${NAME}.tar.gz			    \
+  export COPYFILE_DISABLE=true ;					    \
+  GZIP="-9v" $(TAR) --check-links -vczf archive/$${NAME}.tar.gz		    \
     `echo $(TARFILES) $$FILES $(NUMBERS)				    \
    | sed "s|^|$$NAME/|g; s| | $$NAME/|g" ` ;				    \
   rm $$NAME ;								    \
@@ -140,6 +164,7 @@
   HEAD3="DaliClock-$$VERS2"						 ;  \
   TAR="x$$HEAD.tar.gz"							 ;  \
   DMG="$$HEAD3.dmg"							 ;  \
+  APK="$$HEAD3.apk"							 ;  \
 									    \
   if [ ! -f archive/$$TAR ]; then					    \
     echo "archive/$$TAR does not exist!  Did you forget to \`make tar'?" ;  \
@@ -150,8 +175,14 @@
     echo "archive/$$DMG does not exist!  Did you forget to \`make dmg'?" ;  \
     exit 1 ; 								    \
   fi ;									    \
+									    \
+  if [ ! -f archive/$$APK ]; then					    \
+    echo "archive/$$APK does not exist!  Did you forget to \`make apk'?" ;  \
+    exit 1 ; 								    \
+  fi ;									    \
   chmod a-w archive/$$TAR ;						    \
   chmod a-w archive/$$DMG ;						    \
+  chmod a-w archive/$$APK ;						    \
 									    \
   if [ -f $$DEST/$$TAR ]; then						    \
     /bin/echo -n "WARNING: $$DEST/$$TAR already exists!  Overwrite? ";	    \
@@ -169,11 +200,24 @@
     fi ;								    \
   fi ;									    \
 									    \
+  if [ -f $$DEST/$$APK ]; then						    \
+    /bin/echo -n "WARNING: $$DEST/$$APK already exists!  Overwrite? ";	    \
+    read line;								    \
+    if [ "x$$line" != "xyes" -a "x$$line" != "xy" ]; then		    \
+      exit 1 ; 								    \
+    fi ;								    \
+  fi ;									    \
+									    \
+  ( cd $$DEST ;	git pull . ) ;						    \
+									    \
   cp -p archive/$$TAR $$DEST/$$TAR ;					    \
   chmod u+w $$DEST/$$TAR ;						    \
 									    \
   cp -p archive/$$DMG $$DEST/$$DMG ;					    \
   chmod u+w $$DEST/$$DMG ;						    \
+									    \
+  cp -p archive/$$APK $$DEST/$$APK ;					    \
+  chmod u+w $$DEST/$$APK ;						    \
 									    \
   cp -p OSX/updates.xml $$DEST/ ;					    \
 									    \
@@ -188,14 +232,14 @@
   diff -U0 index.html $$TMP ;						    \
   echo '' ;								    \
 									    \
-  for EXT in tar.gz dmg ; do						    \
+  for EXT in tar.gz dmg apk ; do					    \
     OLDEST=`ls *.$$EXT | fgrep -v 235.dmg | head -n 1` ;		    \
     /bin/echo -n "Delete $$DEST/$$OLDEST? ";				    \
     read line;								    \
     if [ "x$$line" = "xyes" -o "x$$line" = "xy" ]; then			    \
       set -x ;								    \
       rm $$OLDEST ;							    \
-      cvs remove $$OLDEST ;						    \
+      git rm $$OLDEST ;							    \
       set +x ;								    \
     fi ;								    \
   done ;								    \
@@ -204,6 +248,6 @@
   rm -f $$TMP ;								    \
 									    \
   set -x ;								    \
-  cvs add -kb $$TAR $$DMG ;						    \
-  cvs commit -m "$$VERS"
-
+  git add index.html updates.xml $$TAR $$DMG $$APK ;			    \
+  git commit -m "$$VERS" ;						    \
+  git push
