=== debian/changelog ===
xdaliclock (2.43+debian-3) unstable; urgency=low

  * debian/control:
    + Fixed Vcs-Git URL.
    + Updated Standards-Version to 4.2.1
  * debian/copyright:
    + Added comment about upstream source repackage.

 -- Kartik Mistry <kartik@debian.org>  Wed, 28 Nov 2018 18:04:31 +0530

xdaliclock (2.43+debian-2) unstable; urgency=low

  * debian/control:
    + Updated Standards-Version to 4.1.3.
    + Updated Vcs-* URLs.
    + Updated debhelper Build-Dep to 11.
    + Removed auttools-dev from Build-Dep.
  * Set debian/compat to 11.
  * debian/rules:
    + Removed deprecated --with autotools_dev.
    + Don't set CFLAGS.
  * Use https in all URLs.

 -- Kartik Mistry <kartik@debian.org>  Fri, 26 Jan 2018 12:56:52 -0800

xdaliclock (2.43+debian-1) unstable; urgency=low

  * New upstream release:
    + Repacked upstream source to remove other OSs. No other changes.
  * debian/control:
    + Updated Standards-Version to 3.9.8
    + Use dpkg-buildflag instead of hardening-wrapper.
    + Bumped dh dependency.
    + Updated Vcs-* URLs.
  * debian/copyright:
    + Fixed file location and license.
  * debian/rules:
    + Updated for dpkg-buildflag usage.

 -- Kartik Mistry <kartik@debian.org>  Fri, 08 Jul 2016 11:52:08 +0530
