=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: xdaliclock
 Section: x11
 Priority: optional
-Build-Depends: autotools-dev,
-               debhelper (>= 7),
-               hardening-wrapper,
+Build-Depends: debhelper (>= 11),
+               dpkg-dev (>= 1.16.1.1),
                libx11-dev,
                libxext-dev,
                libxt-dev,
                x11proto-core-dev
 Maintainer: Kartik Mistry <kartik@debian.org>
-Standards-Version: 3.9.5
-Homepage: http://www.jwz.org/xdaliclock/
-Vcs-Git: git://anonscm.debian.org/collab-maint/xdaliclock.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/xdaliclock.git;a=summary
+Standards-Version: 4.2.1
+Homepage: https://www.jwz.org/xdaliclock/
+Vcs-Git: https://salsa.debian.org/debian/xdaliclock.git
+Vcs-Browser: https://salsa.debian.org/debian/xdaliclock
 
 Package: xdaliclock
 Architecture: any
