=== debian/watch ===
version=3
opts=dversionmangle=s/\+debian// \
https://www.jwz.org/xdaliclock/xdaliclock-([\d\.]+)\.tar\.gz
